Foxit PDF SDK

Public Member Functions | List of all members
foxit.pdf.PortfolioFolderNode Class Reference
Inheritance diagram for foxit.pdf.PortfolioFolderNode:

## Public Member Functions
| PortfolioFolderNode (PortfolioNode other)
| Constructor, with parent class object. More...
PortfolioFileNode | AddFile (string file_path)
| Add a file (specified by file path) to be a sub node. More...
PortfolioFileNode | AddFile (StreamCallback file_stream, string file_name)
| Add a file (specified with foxit.common.fxcrt.StreamCallback ) to be a sub node. More...
PortfolioFileNode | AddPDFDoc (foxit.pdf.PDFDoc pdf_doc, string file_name)
| Add an loaded PDF document to be a sub node. More...
PortfolioFolderNode | AddSubFolder (string folder_name)
| Add a new sub folder. More...
DateTime | GetCreationDateTime ()
| Get the creation date time. More...
string | GetDescription ()
| Get description. More...
DateTime | GetModifiedDateTime ()
| Get the last modified date time. More...
string | GetName ()
| Get name of current folder node. More...
PortfolioNodeArray | GetSortedSubNodes ()
| Get sub nodes array, which has been sorted according to sorting order and specified field name defined in class Portfolio . More...
bool | IsRoot ()
| Check if current folder node represents root node. More...
void | RemoveSubNode (PortfolioNode sub_node)
| Remove a sub node. More...
void | SetDescription (string description)
| Set description. More...
Public Member Functions inherited from foxit.pdf.PortfolioNode
| PortfolioNode (PortfolioNode other)
| Constructor, with another portfolio node object. More...
PortfolioNode.Type | GetNodeType ()
| Get node type. More...
bool | IsEmpty ()
| Check whether current object is empty or not. More...

## Additional Inherited Members
Public Types inherited from foxit.pdf.PortfolioNode
enum | Type { Type.e_TypeUnknown = 0, Type.e_TypeFolder = 1, Type.e_TypeFile = 2 }
| Enumeration for portfolio node type. More...

## Detailed Description

Portfolio folder node is used as a folder, which can contain file and other folder as sub nodes.
Class PortfolioFolderNode is derived from class PortfolioNode . It offers function to access a folder node: add file/folder to folder node, remove sub node from folder node, get all the sub nodes in sorted order, and get/set some properties of folder node.

## Constructor & Destructor Documentation

## ◆ PortfolioFolderNode()

foxit.pdf.PortfolioFolderNode.PortfolioFolderNode | ( | PortfolioNode | other | ) |
| inline

Constructor, with parent class object.

Parameters

  [in] | other | Parent class object.

## Member Function Documentation

## ◆ AddFile() [1/2]

PortfolioFileNode foxit.pdf.PortfolioFolderNode.AddFile | ( | string | file_path | ) |
| inline

Add a file (specified by file path) to be a sub node.

Foxit PDF SDK will retrieve some properties (such as file name, modified date and etc.) from input file path and set them to the file specification object of returned file node. User can also update properties by functions in class FileSpec for the returned file node.

Parameters

  [in] | file_path | A full path of an existing local file.

Returns
  Newly added file node object.

## ◆ AddFile() [2/2]

PortfolioFileNode foxit.pdf.PortfolioFolderNode.AddFile | ( | StreamCallback | file_stream,
|  | string | file_name
| ) |  |
| inline

Add a file (specified with foxit.common.fxcrt.StreamCallback ) to be a sub node.

Foxit PDF SDK CANNOT retrieve any property from input stream callback. So user should update properties by functions in class FileSpec for returned file node.

Parameters

  [in] | file_stream | A foxit.common.fxcrt.StreamCallback object which is implemented by user to read the file content.
  [in] | file_name | File name for the file specified by stream callback. This name will be used in file specification which is related with the returned file node object.

Returns
  Newly added file node object.

## ◆ AddPDFDoc()

PortfolioFileNode foxit.pdf.PortfolioFolderNode.AddPDFDoc | ( | foxit.pdf.PDFDoc | pdf_doc,
|  | string | file_name
| ) |  |
| inline

Add an loaded PDF document to be a sub node.

Foxit PDF SDK will try to retrieve properties (such as creation date and modified date) from input PDF document's metadata and set them to the file specification object of returned file node. User can also update properties by functions in class FileSpec for the returned file node.

Parameters

  [in] | pdf_doc | A valid PDF document object which has been loaded successsfully.
  [in] | file_name | File name for the file specified by stream callback. This name will be used in file specification which is related with the returned file node object.

Returns
  Newly added file node object.

## ◆ AddSubFolder()

PortfolioFolderNode foxit.pdf.PortfolioFolderNode.AddSubFolder | ( | string | folder_name | ) |
| inline

Add a new sub folder.

Parameters

  [in] | folder_name | Folder name for the new sub folder.

Returns
  Newly added folder node object.

## ◆ GetCreationDateTime()

DateTime foxit.pdf.PortfolioFolderNode.GetCreationDateTime | ( |  | ) |
| inline

Get the creation date time.

Returns
  Creation date time.

## ◆ GetDescription()

string foxit.pdf.PortfolioFolderNode.GetDescription | ( |  | ) |
| inline

Get description.

Returns
  Description string.

## ◆ GetModifiedDateTime()

DateTime foxit.pdf.PortfolioFolderNode.GetModifiedDateTime | ( |  | ) |
| inline

Get the last modified date time.

If structure of sub nodes is changed (such as add file/folder, remove sub node), Foxit PDF SDK will update last modified date time of current folder node automatically.

Returns
  Last modified date time.

## ◆ GetName()

string foxit.pdf.PortfolioFolderNode.GetName | ( |  | ) |
| inline

Get name of current folder node.

Returns
  Name of current folder node. If current folder node is the root node, usually it does not have a name and an empty string will be return for this case.

## ◆ GetSortedSubNodes()

PortfolioNodeArray foxit.pdf.PortfolioFolderNode.GetSortedSubNodes | ( |  | ) |
| inline

Get sub nodes array, which has been sorted according to sorting order and specified field name defined in class Portfolio .

If the type of values (which are to be compared) is string, Foxit PDF SDK will compare these string values without taking care of whether a character is a capital or a small letter.

Returns
  An array of sorted sub nodes.

## ◆ IsRoot()

bool foxit.pdf.PortfolioFolderNode.IsRoot | ( |  | ) |
| inline

Check if current folder node represents root node.

Returns
  true means current folder node is the root node, while false means current folder node is not the root node.

## ◆ RemoveSubNode()

void foxit.pdf.PortfolioFolderNode.RemoveSubNode | ( | PortfolioNode | sub_node | ) |
| inline

Remove a sub node.

Parameters

  [in] | sub_node | A node object which represents a sub node of current node to be removed.

Returns
  None.

## ◆ SetDescription()

void foxit.pdf.PortfolioFolderNode.SetDescription | ( | string | description | ) |
| inline

Set description.

Parameters

  [in] | description | Description string to be set. This can be an empty string.

Returns
  None.